GET api/departmentapi/department/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "91d8c091-a698-4e78-b6ff-eddd674ea21e",
"id": "c997bacc-2a70-4caa-b8f5-ae74f9788b68",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "ddf2cd65-aac2-4fbd-a428-5c1b51fdbabc",
"selected_sticker_id": "ec3f3371-4ccf-401a-9500-7e78b622ae05"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>91d8c091-a698-4e78-b6ff-eddd674ea21e</contract_id> <id>c997bacc-2a70-4caa-b8f5-ae74f9788b68</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>ddf2cd65-aac2-4fbd-a428-5c1b51fdbabc</selected_nameplate_id> <selected_sticker_id>ec3f3371-4ccf-401a-9500-7e78b622ae05</selected_sticker_id> </department>